# data-list

data-list is a component that expresses variable-size array data in the form of a table.
When array data is set (or propagated) to value (or data), the rows of the data list are reorganized according to the size of the array,
If the size of the row exceeds the size of the component, a Vertical Scroll is automatically created.

## properties

1. Column(Number)-Adjust the number of columns

## value-property

The value property of this component is 'data'.
Therefore, the value set in the value attribute becomes data and can be applied to data propagation.
In addition, the value set in value (or data) reconstructs the data list, and desired information can be expressed in the data cell.

The data-cell component created based on the array data of the data-list can express the data value of the data-list through the text property setting.
Each element of the data-list array is stored in the data-cell value and data.

## usage

![DataList usage][data-list-01]

[data-list-01]: ../images/data-list-01.png
